import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);

const face = g.append('ellipse')
  .attr("cx", 0)
  .attr("cy", 0)
  .attr("rx", 200)
  .attr("ry", 250)
  .style("fill-opacity", .75) 
  .style("stroke-width", 3)
  .style("stroke", "black")  
  .style("fill", "#f7be5d"); 

const eyeSpacing = 100;
const eyePupilSpaceing = 110;
const eyeYOffset = -70;
const eyeRadius = 40;
const eyePupilRadius = 15;
const eyebrowWidth = 70;
const eyebrowHeight = 20;
const eyebrowYOffset = -70;

const eyesG = g
  .append('g')
    .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', -eyeSpacing)
    .style('fill', 'purple');

const rightEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeSpacing)
    .style('fill', 'purple');

const leftEyePupil = eyesG
  .append('circle')
    .attr('r', eyePupilRadius)
    .attr('cx', -eyeSpacing + 10)
    .attr('cy', -20)
	.style('fill', 'white');

const rightEyePupil = eyesG
  .append('circle')
    .attr('r', eyePupilRadius)
    .attr('cx', eyeSpacing + 10)
    .attr('cy', -20)
	.style('fill', 'white');

const eyebrowsG = eyesG
  .append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

const repeat = () => {
  eyebrowsG
    .transition().duration(200)
      .attr('transform', `translate(0, ${eyebrowYOffset})`)
    .transition().duration(500)
      .attr('transform', `translate(0, ${eyebrowYOffset - 50})`)
    .on("end", repeat);
};
repeat();

const leftEyebrow = eyebrowsG
    .append("polyline")     
    .style("stroke", "black")
    .style("fill", "black")
	.attr("stroke-width", 4)
    .attr("points", "-150,0 , -60,-20 , -140,10");
           
const rightEyebrow = eyebrowsG
    .append("polyline")     
    .style("stroke", "black")
    .style("fill", "black")
	.attr("stroke-width", 4)
    .attr("points", "150,0,60,-20,140,10");


const mouth = g
  .append('path')
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: 170,
      startAngle: Math.PI / 2,
      endAngle: Math.PI * 3 / 2
    }));